# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KStaticDeleterBase Class Reference

Static deleters are used to manage static resources. More...

`#include <kstaticdeleter.h>`

Inheritance diagram for KStaticDeleterBase:

[legend]
List of all members.

## Public Member Functions

virtual void | destructObject ()

## Detailed Description

Static deleters are used to manage static resources.

They can register themselves with KGlobal. KGlobal will call destructObject() when KGlobal::deleteStaticDeleters() is called or when it the process finishes.

See also:
  KStaticDeleter

  KGlobal::registerStaticDeleter()

  KGlobal::unregisterStaticDeleter()

  KGlobal::deleteStaticDeleters()

Definition at line 39 of file kstaticdeleter.h.

## Member Function Documentation

void KStaticDeleterBase::destructObject | ( |  | ) | `[virtual]`

Should destruct the resources managed by this KStaticDeleterBase.

Usually you also want to call it in your destructor.

See also:
  KGlobal::deleteStaticDeleters()

Reimplemented in KStaticDeleter< type >.

Definition at line 7 of file kstaticdeleter.cpp.

The documentation for this class was generated from the following files:

- kstaticdeleter.h
- kstaticdeleter.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:07 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003